import axios from 'axios';
import { Logger } from '@aws-lambda-powertools/logger';
import { AxiosRequest } from '../types/UtilTypes';
const logger = new Logger({ serviceName: 'Axios' });

export class AxiosHttp {
  static async request(request: AxiosRequest) {
    const response = await axios.request(request).catch((error) => {
      logger.error(error);
      throw error;
    });

    return response.data;
  }
}
