import { Logger } from '@aws-lambda-powertools/logger';
import { AxiosHttp } from './axios';
import { HTTP_METHOD } from '../utils/GeneralConstant';
import { AxiosRequest } from '../types/UtilTypes';

const logger = new Logger({
  serviceName: 'CoreData',
});

export class CoreData {
  static async getInformation(accountId, urlDynamicFact) {
    try {
      const request: AxiosRequest = {
        url: urlDynamicFact,
        method: HTTP_METHOD.GET,
        headers: null,
        data: null,
        params: {
          accountId,
        },
      };
      const response = await AxiosHttp.request(request);

      return response;
    } catch (error) {
      logger.error(error);
      throw error;
    }
  }
}
